\documentclass[noanswers, nolegalese, 11pt]{examjh}
% \documentclass[answers, nolegalese]{examjh}
\usepackage{../../../computingfonts}
\usepackage{../../../contentmacros}

\setlength{\parindent}{0em}\setlength{\parskip}{0.5ex}
\begin{document}\thispagestyle{empty}
\makebox[\textwidth]{\sc MA 208, Theory of Computation\hfill Weekly Hand-in\hfill Due: 2022-Apr-03}
\vspace*{1ex}
\begin{center}
 \parbox{0.95\textwidth}{\textit{
  The work that you hand in must be entirely your own. 
  When you write this document, you may not work with anyone else,
  or copy material from the Internet, etc.
  You are of course allowed to use the text, the videos, or the notes
  or discussions from class.
  }}
\end{center}
\vspace*{1ex}

\begin{questions}
\question
Use the Pumping Lemma to prove that 
%\begin{equation*}
$  \lang=\set{\str{a}^n\str{c}\str{b}^{2n}\in\kleenestar{\set{\str{a},\str{b},\str{c}}}
            \suchthat n\in\N}
$
%\end{equation*}
is not regular.
\begin{solution}
Assume for contradiction that $\lang$ is regular.
Then the Pumping Lemma gives that there is a pumping length~$p$.  
Fix the string $\sigma=\str{a}^p\str{c}\str{b}^{2p}$ and note that its
length is at least equal to the pumping length.

Therefore the Pumping Lemma gives that  
it decomposes $\sigma=\alpha\concat\beta\concat\gamma$,x subject to the
three conditions.
By condition~(1) the substring $\alpha\beta$ has length less than or equal
to~$p$, and so contains only \str{a}'s.
By condition~(2) the substring~$\beta$ is nonempty and so consists of
at least one~\str{a}.
Condition~(3) gives that all of these strings are also members of~$\lang$:
$\alpha\concat\gamma$, $\alpha\concat\beta^2\concat\gamma$, $\alpha\beta^3\gamma$, \ldots{}

But that's a contradiction because the string $\alpha\gamma$ has, when compared
with $\sigma$, the same number of \str{b}'s but fewer \str{a}'s, and therefore
it does not have the form required for membership in~$\lang$.
\end{solution}

\end{questions}
\end{document}